"""
====================
 PyS60RemoteControl
====================
http://pys60rc.sourceforge.net/
(c) 2007 Dorian Scholz
Released under the GNU General Public Licence
"""
import os
import Configuration

class Plugin():

  def __init__(self, rc):
    self.rc = rc

    # open plugin config
    self.conf = Configuration.Configuration(self.rc.plugin_path + os.sep + self.get_plugin_name() + '.conf', self.rc.log)

  def get_plugin_name(self):
    return self.__class__.__name__

